## watchdog 5.2

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/watchdog
pkglibdir = $(libdir)/watchdog
pkgincludedir = $(includedir)/watchdog

top_builddir = .

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
AWK = mawk
CC = gcc
MAINT = #
MAKEINFO = makeinfo
PACKAGE = watchdog
PATH_SENDMAIL = /usr/sbin/sendmail
VERSION = 5.1

man_MANS = watchdog.8 watchdog.conf.5

# This does not work. subdirs are not copied correctly
# for make dist... :(
EXTRA_DIST = $(man_MANS) include examples ChangeLog watchdog.lsm 		watchdog.conf rc.watchdog.debian rc.watchdog.redhat


SUBDIRS = src

CONFIG_FILENAME = /etc/watchdog.conf
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ./include/config.h
CONFIG_CLEAN_FILES = 
man5dir = $(mandir)/man5
man8dir = $(mandir)/man8
MANS = $(man_MANS)

NROFF = nroff
DIST_COMMON =  README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
Makefile.in NEWS TODO acconfig.h aclocal.m4 configure configure.in \
include/config.h.in include/stamp-h.in install-sh missing mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4): # configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: #$(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

include/config.h: include/stamp-h
	@if test ! -f $@; then \
		rm -f include/stamp-h; \
		$(MAKE) include/stamp-h; \
	else :; fi
include/stamp-h: $(srcdir)/include/config.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=include/config.h \
	     $(SHELL) ./config.status
	@echo timestamp > include/stamp-h 2> /dev/null
$(srcdir)/include/config.h.in: #$(srcdir)/include/stamp-h.in
	@if test ! -f $@; then \
		rm -f $(srcdir)/include/stamp-h.in; \
		$(MAKE) $(srcdir)/include/stamp-h.in; \
	else :; fi
$(srcdir)/include/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) acconfig.h
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/include/stamp-h.in 2> /dev/null

mostlyclean-hdr:

clean-hdr:

distclean-hdr:
	-rm -f include/config.h

maintainer-clean-hdr:

install-man5:
	$(mkinstalldirs) $(DESTDIR)$(man5dir)
	@list='$(man5_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.5*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man5dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man5dir)/$$inst; \
	done

uninstall-man5:
	@list='$(man5_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.5*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man5dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man5dir)/$$inst; \
	done

install-man8:
	$(mkinstalldirs) $(DESTDIR)$(man8dir)
	@list='$(man8_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
	  else file=$$i; fi; \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst"; \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst; \
	done

uninstall-man8:
	@list='$(man8_MANS)'; \
	l2='$(man_MANS)'; for i in $$l2; do \
	  case "$$i" in \
	    *.8*) list="$$list $$i" ;; \
	  esac; \
	done; \
	for i in $$list; do \
	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
	  echo " rm -f $(DESTDIR)$(man8dir)/$$inst"; \
	  rm -f $(DESTDIR)$(man8dir)/$$inst; \
	done
install-man: $(MANS)
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-man5 install-man8
uninstall-man:
	@$(NORMAL_UNINSTALL)
	$(MAKE) $(AM_MAKEFLAGS) uninstall-man5 uninstall-man8

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.



all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" = "." && dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
   if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
   fi; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) dist
	-rm -rf $(distdir)
	@banner="$(distdir).tar.gz is ready for distribution"; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    chmod 777 $(distdir)/$$subdir; \
	    (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir=../$(distdir) distdir=../$(distdir)/$$subdir distdir) \
	      || exit 1; \
	  fi; \
	done
info-am:
info: info-recursive
dvi-am:
dvi: dvi-recursive
check-am: all-am
check: check-recursive
installcheck-am:
installcheck: installcheck-recursive
install-exec-am:
install-exec: install-exec-recursive

install-data-am: install-man install-data-local
install-data: install-data-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-recursive
uninstall-am: uninstall-man
uninstall: uninstall-recursive
all-am: Makefile $(MANS)
all-redirect: all-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs)  $(DESTDIR)$(mandir)/man5 $(DESTDIR)$(mandir)/man8


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

=== src/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/watchdog
pkglibdir = $(libdir)/watchdog
pkgincludedir = $(includedir)/watchdog

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
AWK = mawk
CC = gcc
CONFIG_FILENAME = /etc/watchdog.conf
MAINT = #
MAKEINFO = makeinfo
PACKAGE = watchdog
PATH_SENDMAIL = /usr/sbin/sendmail
VERSION = 5.1

sbin_PROGRAMS = watchdog

watchdog_SOURCES = file_stat.c file_table.c fstab.c iface.c ifdown.c keep_alive.c 			load.c lomount.c memory.c mntent.c mount.c net.c nfsmount.c 			nfsmount_clnt.c nfsmount_xdr.c pidfile.c quotactl.c shutdown.c sundries.c 			temp.c test_binary.c umount.c version.c watchdog.c


INCLUDES = -I../include
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../include/config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(sbin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I../include
CPPFLAGS = 
LDFLAGS = 
LIBS = 
watchdog_OBJECTS =  file_stat.o file_table.o fstab.o iface.o ifdown.o \
keep_alive.o load.o lomount.o memory.o mntent.o mount.o net.o \
nfsmount.o nfsmount_clnt.o nfsmount_xdr.o pidfile.o quotactl.o \
shutdown.o sundries.o temp.o test_binary.o umount.o version.o \
watchdog.o
watchdog_LDADD = $(LDADD)
watchdog_DEPENDENCIES = 
watchdog_LDFLAGS = 
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/file_stat.P .deps/file_table.P .deps/fstab.P \
.deps/iface.P .deps/ifdown.P .deps/keep_alive.P .deps/load.P \
.deps/lomount.P .deps/memory.P .deps/mntent.P .deps/mount.P .deps/net.P \
.deps/nfsmount.P .deps/nfsmount_clnt.P .deps/nfsmount_xdr.P \
.deps/pidfile.P .deps/quotactl.P .deps/shutdown.P .deps/sundries.P \
.deps/temp.P .deps/test_binary.P .deps/umount.P .deps/version.P \
.deps/watchdog.P
SOURCES = $(watchdog_SOURCES)
OBJECTS = $(watchdog_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o .s
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-sbinPROGRAMS:

clean-sbinPROGRAMS:
	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)

distclean-sbinPROGRAMS:

maintainer-clean-sbinPROGRAMS:

install-sbinPROGRAMS: $(sbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(sbindir)
	@list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(sbindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(sbindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(sbin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(sbindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

watchdog: $(watchdog_OBJECTS) $(watchdog_DEPENDENCIES)
	@rm -f watchdog
	$(LINK) $(watchdog_LDFLAGS) $(watchdog_OBJECTS) $(watchdog_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu src/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-sbinPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-sbinPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(sbindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-sbinPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-sbinPROGRAMS clean-compile clean-tags clean-depend \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-sbinPROGRAMS distclean-compile distclean-tags \
		distclean-depend distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-sbinPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-depend maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-sbinPROGRAMS distclean-sbinPROGRAMS \
clean-sbinPROGRAMS maintainer-clean-sbinPROGRAMS uninstall-sbinPROGRAMS \
install-sbinPROGRAMS mostlyclean-compile distclean-compile \
clean-compile maintainer-clean-compile tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir \
mostlyclean-depend distclean-depend clean-depend \
maintainer-clean-depend info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


distclean-depend:
	rm -rf .deps

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## watchdog 5.14-cl4.3.1u4

=== debian/changelog ===
watchdog (5.14-cl4.3.1u4) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    7baf3a8634ce555f76aca31a9412605838a753e5

 -- root <root@3da22e72fb7c>  Wed, 15 Jun 2022 22:45:05 +0000

watchdog (5.14-cl4u1) RELEASED; urgency=medium

   * First 4.0 release

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 30 Sep 2019 15:56:02 -0700

watchdog (5.14-cl3u4) RELEASED; urgency=medium
  * Don't start the wd_keepalive service on systems without watchdog support
    in the kernel.

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 26 Dec 2018 15:34:00 -0800

watchdog (5.14-cl3u3) RELEASED; urgency=medium
  * Add basic.target to dependencies list, so it will run when switchd.service
    is not being run.

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 09 Jul 2018 21:17:00 -0700

watchdog (5.14-cl3u2) RELEASED; urgency=medium
  * Detect and handle systems with multiple watchdogs outside this package.
    It is now handled in cumulus-firstboot.service from cumulus-tools so
    platform-specific modules are loaded when configuring.

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 27 Apr 2016 11:27:52 -0700

watchdog (5.14-cl3u1) unstable; urgency=medium
  * Cumulus Linux Version, ships wd_keepalive modified to have
    some watchdog features, watchdog itself not shipped.
  * Converted completely to systemd

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 12 Jan 2016 10:16:53 -0800

watchdog (5.14-3) unstable; urgency=medium

  * Updated Danish debconf translation.
  * Updated French debconf translation. (Closes: #771273)
  * Added Italian debconf translation. (Closes: #771839)
  * Added Brazilian Portuguese debconf translation. (Closes: #771950)
  * Changed rules file to make sure default file doesn't come back.

 -- Michael Meskes <meskes@debian.org>  Thu, 04 Dec 2014 11:30:30 +0100

watchdog (5.14-2) unstable; urgency=medium

  * Applied upstream change to fix an incorrectly calculated amount of memory
    being used in a test.
  * Make sure /etc/init.d/sendsigs does not kill wd_keepalive. (Closes: #767704)
  * Auto-generated default file from debconf. (Closes: #767644)
  * Changed ordering of unit files to prevent a cycle. (Closes: #768168)

 -- Michael Meskes <meskes@debian.org>  Tue, 04 Nov 2014 16:30:54 +0100

watchdog (5.14-1) unstable; urgency=medium

  * New upstream version. (Closes: #703445, #720501)
  * Bumped Standards-Version to 3.9.6, no changes needed.
  * Made init script cope with more than one module option. (Closes: #719331)

 -- Michael Meskes <meskes@debian.org>  Fri, 17 Oct 2014 22:14:53 +0200

watchdog (5.13-1) unstable; urgency=low

  * New upstream version.
  * Added hardening build flags to Debian build.

 -- Michael Meskes <meskes@debian.org>  Fri, 01 Feb 2013 12:15:10 +0100

watchdog (5.12-1) unstable; urgency=low

  * Fixed copyright notice. (Closes: #664624)
  * Updated package description. (Closes: #663911)

 -- Michael Meskes <meskes@debian.org>  Thu, 05 Apr 2012 12:08:10 +0200

watchdog (5.11-2) unstable; urgency=low

  * Updated Dutch debconf translation. (Closes: #657588)
  * Bumped Standards-Version to 3.9.3 no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 04 Mar 2012 15:32:51 +0100

watchdog (5.11-1) unstable; urgency=low

  * New upstream version fixing the timeout problem causing ping check to fail.
    (Closes: #633528)
  * Added support for "status" action to wd_keepalive init.d script. (Closes:
    #653405) - thanks to Peter Eisentraut <petere@debian.org>

 -- Michael Meskes <meskes@debian.org>  Wed, 28 Dec 2011 11:24:16 +0100

watchdog (5.10-1) unstable; urgency=low

  * New upstream version. (Closes: #597213)
  * Updated Danish debconf translation. (Closes: #650855)
  * Updated package description to better explain what this package is about.
    (Closes: #610271)
  * Bumped Standards-Version to 3.9.2 no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 15 Dec 2011 17:36:21 +0100

watchdog (5.9-1) unstable; urgency=low

  * New upstream version.
  * Fixed check for existance of MAKEDEV. (Closes: #582766) - thanks to Timo
    Juhani Lindfors <timo.lindfors@iki.fi>
  * Added source/format file.

 -- Michael Meskes <meskes@debian.org>  Thu, 17 Jun 2010 17:01:41 +0200

watchdog (5.8-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.8.4 no changes needed.

 -- Michael Meskes <meskes@debian.org>  Mon, 22 Mar 2010 15:29:46 +0100

watchdog (5.7-4) unstable; urgency=low

  * Decreased default interval from 10 seconds to just 1.
  * Disable OOM killer for watchdog and wd_keepalive. In the process also make
    sure that the daemons do not allocate memory once they are in daemon mode
    as a safeguard for systems running out of memory.
  * Fixed typo in init script.

 -- Michael Meskes <meskes@debian.org>  Thu, 11 Feb 2010 15:10:49 +0100

watchdog (5.7-3) unstable; urgency=low

  * Missed one line of Min Zhangg's patch resulting in an incorrect path when
    using log_dir option.

 -- Michael Meskes <meskes@debian.org>  Wed, 13 Jan 2010 09:59:49 +0100

watchdog (5.7-2) unstable; urgency=low

  * Applied patch by Min Zhang <mzhang@mvista.com> to make logdir a
    configurable option.
  * Fixed init scripts to make sure one daemon really has ended before
    the next one is started. (Closes: #554793) - thanks to Tim Small
    <tim@seoss.co.uk>

 -- Michael Meskes <meskes@debian.org>  Sat, 09 Jan 2010 16:32:20 +0100

watchdog (5.7-1) unstable; urgency=low

  * New upstream version including all the changes from the Debian package and
    - Patch by Russell Coker <russell@coker.com.au> to set the socket
      handle for raw socket access to close on exec. (Closes: #552611)
    - Patch by Russell Coker <russell@coker.com.au> to give a
      better error message if no config file is found. (Closes: #563798)

 -- Michael Meskes <meskes@debian.org>  Wed, 06 Jan 2010 13:33:25 +0100

watchdog (5.6-8) unstable; urgency=low



=== debian/control ===
Source: watchdog
Section: admin
Priority: extra
Maintainer: dev-support <dev-support@cumulusnetworks.com>
Build-Depends: debhelper (>= 9), po-debconf (>= 0.5.0), dh-systemd (>= 1.5), git
Standards-Version: 3.9.8
Homepage: http://watchdog.sourceforge.net
XS-Build-Source: True
XS-Cumulus-Valid-Arch: amd64 armel
XBCS-Vcs-Hash: 7baf3a8634ce555f76aca31a9412605838a753e5

Package: watchdog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, makedev (>= 2.3.1-24) | udev, lsb-base (>= 3.2-14)
Description: system health checker and software/hardware watchdog handler
 The watchdog program writes to /dev/watchdog every ten seconds. If
 the device is opened but not written to within a minute, the machine
 will reboot. This feature is available when the kernel is built with
 "software watchdog" support (standard in Debian kernels) or if the
 machine is equipped with a hardware watchdog (in which case this
 package can also be used to "pet" it, resetting its timer).
 .
 The kernel software watchdog's ability to reboot will depend on the
 state of the machine and interrupts.
 .
 The watchdog tool itself runs several health checks and acts
 appropriately if the system is not in good shape.
XBCS-Vcs-Hash: 7baf3a8634ce555f76aca31a9412605838a753e5

=== debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/bash
CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wno-deprecated-declarations
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

build:	build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: Makefile
	$(checkdir)
	$(MAKE)
	touch build

Makefile:
	CFLAGS="${CFLAGS}" CPPFLAGS="${CPPFLAGS}" LDFLAGS="${LDFLAGS}" ./configure --prefix=/usr \
		--with-configfile=/etc/watchdog.conf

clean:	Makefile
	$(checkdir)
	[ ! -f Makefile ] || $(MAKE) distclean
	debconf-updatepo

	dh_clean
	rm -f $(find . -name "*.P")
	rm -rf build-stamp *~ debian/*~ configure-stamp build
	-rm -f debian/watchdog.default

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	dh_clean -k
	dh_installdirs
	dh_installdocs README* watchdog.lsm IAFA-PACKAGE  \
		       include/watch_err.h
	dh_installexamples examples/*
	dh_installchangelogs ChangeLog 
	dh_installdebconf
	$(MAKE) install prefix=$$(pwd)/debian/watchdog/usr \
		CONFIG_FILENAME=$$(pwd)/debian/watchdog/etc/watchdog.conf
	cp -p watchdog.conf debian/watchdog/etc/watchdog.conf
	dh_systemd_enable --name=wd_keepalive wd_keepalive.service
	dh_systemd_start --no-start --name=wd_keepalive
	dh_strip
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_fixperms
	dh_builddeb

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## watchdog 5.16

=== debian/changelog ===
watchdog (5.16-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007529)

 -- Bastian Germann <bage@debian.org>  Thu, 18 Sep 2025 08:25:37 +0200

watchdog (5.16-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Updated Spanish translation (Closes: #1017461)
  * Added Romanian translation (Closes: #1033773)
  * Updated Swedish translation (Closes: #1054614)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 07 Dec 2024 16:01:45 +0100

watchdog (5.16-1) unstable; urgency=medium

  * New upstream version. (Closes: #892715)
  * Updated Portuguese translation (Closes: #873172)
  * Removed ancient packaging cruft.
  * Removed build dependency on dh-systemd (Closes: #958602)

 -- Michael Meskes <meskes@debian.org>  Fri, 03 Jan 2020 14:20:27 +0100

watchdog (5.15-2) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_configure pass --host to ./configure
    (Closes: #851231) Thanks to Helmut Grohne <helmut@subdivi.de>
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Enabled bindnow linker flag.

 -- Michael Meskes <meskes@debian.org>  Fri, 20 Jan 2017 13:31:26 +0100

watchdog (5.15-1) unstable; urgency=medium

  * New upstream version.
  * Updated Dutch translation. (Closes: #772760)
  * Updated Russian translation. (Closes: #776125)
  * Updated Japanese translation. (Closes: #815857)
  * Added missing quote to systemd service file. (Closes: #783166, #798294)
  * Use dh_builddeb to build the package. (Closes: #784211, #808692)
  * Re-added Install stanza to service file. (Closes: #793309)

 -- Michael Meskes <meskes@debian.org>  Thu, 21 Jan 2016 22:54:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: watchdog
 Section: admin
-Priority: extra
-Maintainer: dev-support <dev-support@cumulusnetworks.com>
-Build-Depends: debhelper (>= 9), po-debconf (>= 0.5.0), dh-systemd (>= 1.5), git
-Standards-Version: 3.9.8
+Priority: optional
+Maintainer: Michael Meskes <meskes@debian.org>
+Build-Depends: debhelper-compat (= 12), po-debconf (>= 0.5.0)
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Homepage: http://watchdog.sourceforge.net
-XS-Build-Source: True
-XS-Cumulus-Valid-Arch: amd64 armel
-XBCS-Vcs-Hash: 7baf3a8634ce555f76aca31a9412605838a753e5
 
 Package: watchdog
 Architecture: any
@@ -25,5 +23,3 @@
  .
  The watchdog tool itself runs several health checks and acts
  appropriately if the system is not in good shape.
-XBCS-Vcs-Hash: 7baf3a8634ce555f76aca31a9412605838a753e5
-

=== debian/watch ===
version=3
http://sf.net/watchdog watchdog-(.*)\.tar\.gz

## watchdog pi-2.4.6

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Sean D'Epagnier
## Copyright:   
## License:     GPLv3+
##---------------------------------------------------------------------------
 
# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 3.1)

PROJECT(watchdog_pi)
SET(PACKAGE_NAME watchdog_pi)
SET(VERBOSE_NAME Watchdog)
SET(TITLE_NAME WATCHDOG)
SET(CPACK_PACKAGE_CONTACT "Sean D'Epagnier ")

SET(BUNDLE_DATA FALSE)

INCLUDE( VERSION.cmake )
SET(VERSION_MAJOR ${PLUGIN_VERSION_MAJOR})
SET(VERSION_MINOR ${PLUGIN_VERSION_MINOR})
SET(VERSION_PATCH ${PLUGIN_VERSION_PATCH})
SET(VERSION_DATE ${PLUGIN_VERSION_DATE})

SET(PLUGIN_VERSION "${PLUGIN_VERSION_MAJOR}.${PLUGIN_VERSION_MINOR}.${PLUGIN_VERSION_PATCH}" )

OPTION(WATCHDOG_USE_SVG "Use SVG graphics" ON)

SET(CMAKE_MACOSX_RPATH "ON")

SET(CMAKE_CXX_STANDARD 11)

INCLUDE("cmake/PluginConfigure.cmake")

IF(WATCHDOG_USE_SVG)
  ADD_DEFINITIONS(-DWATCHDOG_USE_SVG)
ENDIF(WATCHDOG_USE_SVG)

SET(SRC_WATCHDOG
            src/watchdog_pi.cpp
            src/WatchdogDialog.cpp
            src/WatchdogPropertiesDialog.cpp
            src/ConfigurationDialog.cpp
            src/NewAlarmDialog.cpp
            src/EditAlarmDialog.cpp
            src/Alarm.cpp
            src/signalk_client.cpp
            src/WatchdogUI.cpp
            src/icons.cpp
            src/ODAPI.h
            src/wddc.cpp
            src/TexFont.cpp
	)

INCLUDE("cmake/PluginNMEA.cmake")
INCLUDE("cmake/PluginJSON.cmake")

IF(UNIX)
 INCLUDE("cmake/FindTinyXML.cmake")
 FIND_PACKAGE(TinyXML QUIET)
ENDIF(UNIX)

IF(TINYXML_FOUND)
 message (STATUS "Building with system tinyxml")
 INCLUDE_DIRECTORIES(${TINYXML_INCLUDE_DIR})
 ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_WATCHDOG} ${SRC_JSON} ${SRC_NMEA0183})
 TARGET_LINK_LIBRARIES(${PACKAGE_NAME} ${TINYXML_LIBRARIES})
ELSE(TINYXML_FOUND)
 message (STATUS "Building with embedded tinyxml")
 INCLUDE_DIRECTORIES(BEFORE ${PROJECT_SOURCE_DIR}/src/tinyxml/)
 SET(SRC_LTINYXML
            src/tinyxml/tinyxml.cpp
            src/tinyxml/tinyxmlparser.cpp
            src/tinyxml/tinyxmlerror.cpp
 )
 ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_WATCHDOG} ${SRC_JSON} ${SRC_NMEA0183} ${SRC_LTINYXML})
ENDIF(TINYXML_FOUND)
ADD_DEFINITIONS(-DTIXML_USE_STL)

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")
